<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <record id="product_template_form_view_pos_user_wise" model="ir.ui.view">
        <field name="name">product.template.form.inherit</field>
        <field name="model">product.template</field>
        <field name="inherit_id" ref="point_of_sale.product_template_form_view"/>
        <field name="arch" type="xml">
            <xpath expr="//field[@name='to_weight']" position="before">
               <!-- <field name="warehouse_id" /> -->
               <field name="product_all" />
                <field name="pos_config_ids"
                        widget="many2many_tags"
                        attrs="{'invisible': [('product_all', '=', True)]}" />
            </xpath>
        </field>
    </record>

    <!-- =====User Template===== -->

        <record id="view_users_pos_user_wise_inherit_form" model="ir.ui.view">
            <field name="name">res.users.form.inherit</field>
            <field name="model">res.users</field>
            <field name="type">form</field>
            <field name="inherit_id" ref="base.view_users_form"/>
            <field name="arch" type="xml">
                <!-- <xpath expr="//field[@name='company_id']" position="after">
                    <field name="warehouse_id" />
                </xpath> -->
<!--                <xpath expr="//field[@name='barcode']" position="before">-->
<!--                    <field name="pos_config_ids"-->
<!--                        widget="many2many_tags"-->
<!--                        groups="point_of_sale.group_pos_user" />-->
<!--                    <field name="warehouse_id" readonly="1"/>-->
<!--                </xpath>-->
                <xpath expr="//page[2]" position="after">
                    <page string="POS">
                        <group>
                            <field name="pos_config_ids"
                                widget="many2many_tags"
                                groups="point_of_sale.group_pos_user" />
                            <field name="warehouse_id" readonly="1"/>
                        </group>
                    </page>
                </xpath>
            </field>
        </record>

    <!-- =====Ajay 8jan2020===== -->
    <!-- =====Inherit purchase form view===== -->
        <record id="purchase_order_form_inherit" model="ir.ui.view">
            <field name="name">purchase.order.form.inherit</field>
            <field name="model">purchase.order</field>
            <field name="type">form</field>
            <field name="inherit_id" ref="purchase.purchase_order_form"/>
            <field name="arch" type="xml">
                <xpath expr="//field[@name='picking_type_id']" position="after">
                    <field name="warehouse_id" />
                </xpath>
            </field>
        </record>

    <!-- =====MRP Production Template===== -->

        <record id="mrp_production_pos_user_wise_inherit_form" model="ir.ui.view">
            <field name="name">mrp.production.form.inherit</field>
            <field name="model">mrp.production</field>
            <field name="type">form</field>
            <field name="inherit_id" ref="mrp.mrp_production_form_view"/>
            <field name="arch" type="xml">
                <xpath expr="//field[@name='origin']" position="after">
                    <field name="warehouse_id" />
                </xpath>
            </field>
        </record>

        <!-- =====POS Order Template===== -->

        <record id="pos_order_pos_user_wise_inherit_form" model="ir.ui.view">
            <field name="name">pos.order.form.inherit</field>
            <field name="model">pos.order</field>
            <field name="type">form</field>
            <field name="inherit_id" ref="point_of_sale.view_pos_pos_form"/>
            <field name="arch" type="xml">
                <xpath expr="//field[@name='partner_id']" position="after">
                    <!-- <field name="warehouse_id" /> -->
                    <field name="location_id" />
                </xpath>
            </field>
        </record>

        <!-- =====POS Session Template===== -->

        <!-- <record id="pos_session_pos_user_wise_inherit_form" model="ir.ui.view">
            <field name="name">pos.session.form.inherit</field>
            <field name="model">pos.session</field>
            <field name="type">form</field>
            <field name="inherit_id" ref="point_of_sale.view_pos_session_form"/>
            <field name="arch" type="xml">
                <xpath expr="//field[@name='start_at']" position="after">
                    <field name="warehouse_id" />
                </xpath>
            </field>
        </record> -->

        <!-- Reporting menu -->
    <menuitem id="point_of_sale.menu_point_rep"
        name="Reporting"
        parent="point_of_sale.menu_point_root"
        sequence="90"
        groups="point_of_sale.group_pos_manager,point_of_sale.group_pos_user"/>

        <!-- Dashboard Menu -->

        <menuitem
            action="stock.stock_picking_type_action"
            id="stock.stock_picking_type_menu"
            parent="stock.menu_stock_root" sequence="0"
            name="Dashboard Stock" groups="pos_warehouse_user_wise.group_stock_picking_dashboard" />


</odoo>
